var RUTA_API = location.origin + '/api/';

//verificarMesas();

function verificarMesas() {
    // verCambios();
    verMesasAbiertas(); 
    verMesasCanceladas();
    verMesasCobradas();
    verMesasReservadas();
    setTimeout(verificarMesas, 1300);
}

var cantidad = 0;

function verCambios() {
    var http = new XMLHttpRequest();
    http.open('GET', RUTA_API + 'verificarCambios', true);
    http.setRequestHeader("Content-type", "application/x-www-form-urlencoded");
    http.onreadystatechange = function() {
        if (http.readyState == 4 && http.status == 200) {
            var e = JSON.parse(http.responseText);
            if (cantidad !== parseInt(e.cantidad))
                postMessage({
                    codigo: 11,
                    mesaAnterior: e.mesaAnterior,
                    mesaNueva: e.mesaNueva,
                    estado: e.estado,
                    fecha_hora: e.fecha_hora
                });
            cantidad = parseInt(e.cantidad);
        }
    };
    http.send();
}


var cant2 = 0;

function verMesasAbiertas() {
    var http = new XMLHttpRequest();
    http.open('GET', RUTA_API + 'verificarMesasAbiertas', true);
    http.setRequestHeader("Content-type", "application/x-www-form-urlencoded");
    http.onreadystatechange = function() {
        if (http.readyState == 4 && http.status == 200) {
            var e = JSON.parse(http.responseText);
            if (cant2 !== parseInt(e.cantidad))
                postMessage({
                    codigo: 12,
                    codigoMesa: e.codigoMesa
                });
            cant2 = parseInt(e.cantidad);
        }
    };
    http.send();
}


var cant3 = 0;

function verMesasCanceladas() {
    var http = new XMLHttpRequest();
    http.open('GET', RUTA_API + 'verificarMesasCanceladas', true);
    http.setRequestHeader("Content-type", "application/x-www-form-urlencoded");
    http.onreadystatechange = function() {
        if (http.readyState == 4 && http.status == 200) {
            var e = JSON.parse(http.responseText);
            if (cant3 !== parseInt(e.cantidad))
                postMessage({
                    codigo: 13,
                    codigoMesa: e.codigoMesa
                });
            cant3 = parseInt(e.cantidad);
        }
    };
    http.send();
}


var cant4 = 0;

function verMesasCobradas() {
    var http = new XMLHttpRequest();
    http.open('GET', RUTA_API + 'verificarMesasCobradas', true);
    http.setRequestHeader("Content-type", "application/x-www-form-urlencoded");
    http.onreadystatechange = function() {
        if (http.readyState == 4 && http.status == 200) {
            var e = JSON.parse(http.responseText);
            if (cant4 !== parseInt(e.cantidad))
                postMessage({
                    codigo: 14,
                    codigoMesa: e.codigoMesa
                });
            cant4 = parseInt(e.cantidad);
        }
    };
    http.send();
}


var cant5 = 0;

function verMesasReservadas() {
    var http = new XMLHttpRequest();
    http.open('GET', RUTA_API + 'verificarMesasReservadas', true);
    http.setRequestHeader("Content-type", "application/x-www-form-urlencoded");
    http.onreadystatechange = function() {
        if (http.readyState == 4 && http.status == 200) {
            var e = JSON.parse(http.responseText);
            if (cant5 !== parseInt(e.cantidad))
                postMessage({
                    codigo: 15,
                    codigoMesa: e.codigoMesa
                });
            cant5 = parseInt(e.cantidad);
        }
    };
    http.send();
}